#
# spec file for package ghc-monad-logger
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name monad-logger
Name:           ghc-%{pkg_name}
Version:        0.3.25.1
Release:        3.1
Summary:        A class of monads which can log messages
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-fast-logger-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-monad-loops-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-chans-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel

%description
Hackage documentation generation is not reliable. For up to date documentation,
please see: <http://www.stackage.org/package/monad-logger>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Wed Sep 13 2017 psimons@suse.com
- Update to version 0.3.25.1.
  A more detailed change log is not available.
* Thu Aug 17 2017 psimons@suse.com
- Update to version 0.3.25.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu May 18 2017 psimons@suse.com
- Update to version 0.3.24 with cabal2obs.
* Wed May  3 2017 psimons@suse.com
- Update to version 0.3.23 with cabal2obs.
* Tue Apr  4 2017 psimons@suse.com
- Update to version 0.3.22 with cabal2obs.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 0.3.21 with cabal2obs.
* Mon Feb 20 2017 psimons@suse.com
- Update to version 0.3.20.2 with cabal2obs.
* Mon Nov 14 2016 psimons@suse.com
- Update to version 0.3.20.1 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 0.3.20 with cabal2obs.
* Sun Jul 10 2016 mimi.vx@gmail.com
- update to version 0.3.19 revision 0
  * Add CallStack-based functions and Control.Monad.Logger.CallStack module
* Thu Feb  4 2016 mimi.vx@gmail.com
- update to 0.3.18
  * Added logTHShow and logDebugSH, logInfoSH, etc. Accepts an argument of
    Show a => a instead of just Text.
* Fri Jan 15 2016 mimi.vx@gmail.com
- update to 0.3.17
  * log to a chan
* Sun Dec 13 2015 mimi.vx@gmail.com
- update to 0.3.16
  * Provide default monadLoggerLog implementation
* Thu Nov 19 2015 mimi.vx@gmail.com
- initial commit
